Bug 1934 - Customize "Search for this title in..." links
Summary: Customize "Search for this title in..." links
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Nicole C. Engard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-13 09:09 UTC by Owen Leonard
Modified: 2012-10-25 22:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (7.94 KB, application/octet-stream)
2009-08-23 13:46 UTC, Chris Cormack
Details
updated patch per Galen's suggestion (5.84 KB, application/octet-stream)
2009-08-24 11:11 UTC, Chris Cormack
Details
Final updated patch (5.58 KB, patch)
2009-08-31 20:43 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:36:18 UTC


---- Reported by oleonard@myacpl.org 2008-03-13 09:09:48 ----

I've just added, from dev_week, the "Search for this title in..." links to opac-detail.tmpl. This allows the user to pass the title on to another search tool: currently Google Scholar and Worlcat. Libraries might have other resources (regionally-available resource, IP-filtered resources, etc) which they might add to that block of links if there were a method of customizing the list.



---- Additional Comments From nengard@gmail.com 2009-04-17 14:27:48 ----

This is a commonly asked for request when I do training and it's being asked for at KohaCon right now as well.

In short, this shouldn't be hard coded but should instead be a customizable region.



---- Additional Comments From wizzyrea@gmail.com 2009-06-08 18:33:36 ----

Yes, this would be a good addition. An editable field in the sysprefs would be enough, I think.




---- Additional Comments From nengard@gmail.com 2009-06-28 23:56:06 ----

Any chance of this getting into 3.2?



---- Additional Comments From gmcharlt@gmail.com 2009-06-29 14:10:03 ----

Currently there's no known patch or sponsorship for this one.  A system preference would be the simplest way.  LibLime's not likely to get to this one before 3.2; field's wide open for somebody else to send a patch.



---- Additional Comments From nengard@gmail.com 2009-08-10 11:44:41 ----

For now - some tips from Owen, but I'm all for a system preference

http://www.myacpl.org/koha/?p=410



---- Additional Comments From nengard@gmail.com 2009-08-23 13:46:38 ----

Created an attachment
patch





---- Additional Comments From gmcharlt@gmail.com 2009-08-24 00:31:24 ----

Patch pushed.  Please test.

Note: adjust so that the placeholder variables are something like {TITLE} and {ISBN} rather than just TITLE and ISBN would be a good idea - otherwise, could break of the search target does something like

http://www.foo.edu/search/ISBN/01234...



---- Additional Comments From nengard@gmail.com 2009-08-24 11:11:23 ----

Created an attachment
updated patch per Galen's suggestion





---- Additional Comments From nengard@gmail.com 2009-08-31 20:43:48 ----

Created an attachment
Final updated patch





---- Additional Comments From gmcharlt@gmail.com 2009-09-06 18:06:14 ----

Patches pushed.  Please test and close.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:36 UTC  ---

This bug was previously known as _bug_ 1934 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1934
Imported an attachment (id=424)
Imported an attachment (id=425)
Imported an attachment (id=426)

Actual time not defined. Setting to 0.0
The original submitter of attachment 424 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 425 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 426 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.